Ticket #2213 (new defect)

Opened 9 years ago

Last modified 8 years ago

Provide a dependency package to run tests

Reported by: gracinet Owned by: gracinet
Priority: P2 Milestone: CPS 3.5.7
Component: Packaging Version: 3.5.1rc2
Severity: minor Keywords:
Cc:

Description

That'd be the equivalent of zope-cps-full-dependencies, if possible without breaking licences (css validator ?)

Change History

comment:1 Changed 9 years ago by gracinet

For the validator stuff, it's explained in the docstring of CPSUtil.tests.test_webconformance. As for java itself. on lenny, currently installing default-jre-headless does the trick.

comment:2 Changed 8 years ago by gracinet

Also this dependency package should itself become a dependency of opt-zope-cps-devsetup.

comment:3 Changed 8 years ago by gracinet

Done, still need to upload the new packages

comment:4 Changed 8 years ago by gracinet

For the CSS validator jar, it looks ok, provided that the  licence is included.

Here's the download link :  http://www.w3.org/QA/Tools/css-validator/css-validator.jar

Note: See TracTickets for help on using tickets.